Ubuntu

dell-laptop module hard blocks wifi on Dell Vostro 1520

Reported by Cody A.W. Somerville on 2011-01-10
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

I was surprised to find my wifi not work after upgrading to Maverick as it had worked just fine in lucid. The network-manager would show wireless network disabled and 'Enable Wireless' shown by right clicking the network-manager icon was disabled/greyed out.

So I did some debugging and found the following:

 1. The wifi light on my laptop never lit up anymore
 2. Bluetooth appears to work now (yay!) as toggling the physical rf kill switch would show the device coming up and down in dmesg. However, nothing in there about the wifi device.
 3. Removing the 'dell-laptop' kernel module made my wifi work (yay!)
 4. With 'dell-laptop' installed, 'rfkill list' shows that the wifi is hard blocked.
 5. With 'dell-laptop' removed, 'rfkill list' shows nothing.
 6. The physical rfkill switch works just fine with 'dell-laptop' removed.

So clearly there is a (serious) regression occurring here. I'm unsure if 'dell-laptop' was getting loaded in lucid but I'll boot up a lucid live-cd when I get a chance to check.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: linux-image-2.6.35-24-generic 2.6.35-24.42
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic x86_64
NonfreeKernelModules: nvidia wl
AcpiTables: Error: command ['gksu', '-D', 'Apport', '--', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 1:
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cody-somerville 1993 F.... xfce4-mixer-plu
                      cody-somerville 2080 F.... pulseaudio
                      cody-somerville 2185 F.... xfce4-volumed
 /dev/snd/pcmC0D0p: cody-somerville 2080 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf3300000 irq 48'
   Mixer name : 'IDT 92HD81B1C5'
   Components : 'HDA:111d76d5,102802bc,00100302'
   Controls : 14
   Simple ctrls : 8
Date: Mon Jan 10 17:10:51 2011
HibernationDevice: RESUME=UUID=a7e620fa-14d8-40ad-a2b0-d7a075f6ea12
MachineType: Dell Inc. Vostro 1520
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-24-generic root=UUID=02124c02-cd15-48f0-879a-42110a537f2c ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.38
RfKill:

SourcePackage: linux
dmi.bios.date: 04/08/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A02
dmi.board.name: 0T808J
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnDellInc.:bvrA02:bd04/08/2009:svnDellInc.:pnVostro1520:pvrNull:rvnDellInc.:rn0T808J:rvr:cvnDellInc.:ct8:cvrN/A:
dmi.product.name: Vostro 1520
dmi.product.version: Null
dmi.sys.vendor: Dell Inc.

Changed in linux (Ubuntu):
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
Victor Tuson Palau (vtuson) wrote :

I had the same issue (resolved the same way) in Lucid with a dell vostro 3300

Andy Whitcroft (apw) on 2011-01-19
Changed in linux (Ubuntu):
status: New → Triaged
Andy Whitcroft (apw) wrote :

Did your lucid testing show this issue too?

Daniel Manrique (roadmr) wrote :

I can confirm this issue on a Dell Vostro 1520 as the original poster. This is using Maverick with updates as of 2011-01-20. The suggested workaround (rmmod dell_laptop) works as posted.

I've finally got around to testing on lucid live cd. The issue is NOT present and wireless works fine after using jockey to install driver. This confirms that this a regression.

Some observations:

 1. /proc/modules shows that the dell-laptop module is indeed loaded: dell_laptop 7941 0 - Live 0xffffffffa0065000
 2. rfkill list does not list any devices however.

Here is the output of modinfo dell-laptop on lucid:

$ modinfo dell_laptop
filename: /lib/modules/2.6.32-24-generic/kernel/drivers/platform/x86/dell-laptop.ko
alias: dmi:*svnDellInc.:*:ct8:*
license: GPL
description: Dell laptop driver
author: Matthew Garrett <email address hidden>
srcversion: 104553967ECAF17A9FB03B3
depends: dcdbas
vermagic: 2.6.32-24-generic SMP mod_unload modversions

Ayan George (ayan) wrote :

Submitted a patch upstream. Will SRU if/when it is applied.

Chris Van Hoof (vanhoof) on 2011-02-15
Changed in linux (Ubuntu):
assignee: Canonical Kernel Team (canonical-kernel-team) → Ayan George (ayan)
importance: Undecided → Medium
tags: added: hwe-blocker
Victor Tuson Palau (vtuson) wrote :

this bug blocks 1520 and 1720 from being certified.

tags: added: block-hwcert
tags: added: blocks-hwcert
removed: block-hwcert
Victor Tuson Palau (vtuson) wrote :

Ayan - can you provide an update on this bug?

Daniel Manrique (roadmr) wrote :

To update this report, I tested the Vostro 1520 using Ubuntu 11.04 (Natty), with both a 2.6.38-8 kernel and the 2.6.38-10 one that is in the proposed repository.

The problem as originally reported still occurs, i.e. wireless doesn't work (the panel applet says "wireless disabled by hardware switch"). Actually toggling the hardware switch has no effect.

If the dell_laptop module is unloaded, then wireless works correctly. Furthermore, even without the dell_laptop module, everything else appears to work correctly. I tested:
- Hardware wireless switch behavior (it enables/disables both bluetooth and wifi).
- Media/volume keys.
- Sleep key (and resume behavior).
- Brightness controls.

About the only thing that doesn't work (regardless of whether dell_laptop is loaded) is the battery indicator key (fn-f2).

Hope this helps.

Ayan George (ayan) wrote :

My original patch that blacklisted this model in the dell-laptop module was rejected in favor of figuring out why the module doesn't work.

I'll ask mjg if such a patch would be acceptable now.

After upgrading to natty, my broadcom wireless doesn't work at all - regardless if the dell-laptop module is loaded or not. rfkill started listing bcwml regardless if dell-laptop module is loaded or not. If dell-laptop module is loaded, rfkill shows additionally WLAN and bluetooth.

Linux sybarite 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Switching the wireless card out for an intel card results in wlan working.

Ayan George (ayan) wrote :

Okay -- next step is to examine the changes to the broadcom module and possibly bisect it until we figure out which change broke it.

Ara Pulido (apulido) wrote :

Ayan, we have one of these in the certification lab. How can we help? We are happy to test bisected kernels.

Daniel Manrique (roadmr) wrote :

Hi all,

I installed Ubuntu 10.04.3 to test that things work, as mentioned by Cody on #5. Differences:

- This is a full hard-disk installation as opposed to running from the Live CD.
- I'm running 10.04.3 with kernel 2.6.32-33 as opposed to Cody's 10.04.1 (I think?) with kernel 2.6.32-24.
- I'm using the wl module, as installed by jockey-gtk (STA module) or by installing bcmwl-kernel-source package. Cody's original report on Maverick has the same module apparently, but comment #5 doesn't state which module he used for his Lucid test

The reason why I'm focusing on the differences is that, even when using Lucid which was supposed to work, I still have the same behavior as originally reported, i.e. wireless shows as "disabled" until I remove dell_laptop module, at which point things start working "automagically".

I even went down to Lucid's original 2.6.32-21 kernel, installed the drivers and had the exact same behavior.

Any ideas on what I might be doing wrong would be appreciated.

Thanks!

- Daniel

Ara Pulido (apulido) on 2011-08-16
tags: added: oneiric
Brett Sutton (bsutton) wrote :

I had what appeared to be exactly this problem.

When I toggle the fn-f2 key the wirless connection would appear to be enabled but as soon as I click the 'Enable Wirless' option it would disappear and the 'wireless connection disabled by hardware switch' message would come up.

Whilst reading this post and in frustration I rapidly toggled the fn-f2 key (three times I think) and suddenly my wireless connection password dialog popped open and all was fixed.

My wireless connection is now working fine (but I'm not prepared to touch the fn-f2 key again).

I'm running 11.10. The problem only occured about two weeks after installing 11.10 and possible after I accidently toggled the fn-f2 key.

Maybe this isn't exactly the same problem but the symptoms do appear to be identical.

Ayan George (ayan) on 2011-11-22
Changed in linux (Ubuntu):
assignee: Ayan George (ayan) → Chris Van Hoof (vanhoof)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Oneiric):
status: New → Confirmed
James M. Leddy (jm-leddy) wrote :

might be 887834

Chris Van Hoof (vanhoof) wrote :

Marking the Oneiric task Wont Fix as this bug has been in limbo for quite some time. If anyone has any updates please feel free to add them.

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Won't Fix
Changed in linux (Ubuntu):
assignee: Chris Van Hoof (vanhoof) → nobody
tags: removed: blocks-hwcert hwe-blocker
Babar (babarhaq) wrote :

same problem on 11.10 hp d4000 pavilion. on installation live cd everything was working fine. Once installed it keeps saying hardware switch is off.

Wireless card
06:05.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)

Babar (babarhaq) wrote :

My bad. Wireless was disabled by windows.

Eric Miao (eric.y.miao) wrote :

Does it work for Precise now? Has anyone tested?

Andre (ajx) wrote :

The problem exists on Precise. Experienced today with all updates installed on a Dell Vostro 1320. I had to blacklist dell_laptop to get the wireless working.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers